Mixing libraries from different compilers

John Love-Jensen eljay@adobe.com
Tue Apr 22 22:14:00 GMT 2008


Hi bkqdad,

If the library is a C library (which uses the C ABI), you should be okay.

If the library is a C++ library (which uses a C++ ABI), you need to get GCC
4.1.1 of the C++ (g++) compiler for your project, or have the provider of
the library compile their library using GCC 3.2.3 of the C++ (g++) compiler.

HTH,
--Eljay



More information about the Gcc-help mailing list